"use strict";
const tls = require('tls');
const https = require('https');
const crypto = require('crypto');
const checkServerIdentityMiddleware = () => next => (url, opts) => {
    const response = new Response();
    response.text = () => Promise.resolve(opts.method + "@" + url);
    response.json = () => Promise.resolve({ url, method: opts.method });
    return Promise.resolve(response);
};
//# sourceMappingURL=checkServerIdentityMiddleware.js.map